import 'package:flutter/material.dart';

@immutable
class FilesHandler<FileType extends Object> {
  const FilesHandler({
    required this.select,
    required this.snapshot,
  });

  final Future<List<FileType>?> Function() select;

  final AsyncSnapshot<List<FileType>> snapshot;
}
