import 'package:flutter/material.dart';

@immutable
class FileHandler<FileType extends Object> {
  const FileHandler({
    required this.select,
    required this.snapshot,
  });

  final Future<FileType?> Function() select;

  final AsyncSnapshot<FileType> snapshot;
}
